Loading...
Searching...
No Matches
etl::larger_int_type< T > Struct Template Reference

\ingroup largest More...

`#include <largest.h>`

## Public Types

typedef etl::smallest_int_for_bits< etl::integral_limits< typenameetl::make_signed< T >::type >::bits+1 >::type | type

## Public Member Functions

| ETL_STATIC_ASSERT (etl::is_integral< T >::value, "Must be an integral type")

## Detailed Description

template<typename T>
struct etl::larger_int_type< T >

\ingroup largest

Defines a type that is as larger or larger than the specified type. Will return the specified type is there is not a larger type.

The documentation for this struct was generated from the following file:

- include/etl/largest.h